#ifndef K3B_SOLARIS_SCG_H
#define K3B_SOLARIS_SCG_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct SCGScanDataS
{
  int bus;
  int target;
  int lun;
  char vendor[9];
  char product[17];
  char revision[5];
  int is_valid;
} SCGScanData;

#ifdef __cplusplus
}
#endif

void findSolarisScsiBusIdLun(const char* scsiDevice, SCGScanData* scanData);

#endif

// vim: ts=2 sw=2 et
